{% extends 'base.html' %}

{% block content %}
    <header>
        <nav>
            <a href="{% url 'create_project' %}">Add a new project</a>
        </nav>
    </header>
    <main>
        <div>
            <h1>My Projects</h1>
            {% if projects|length == 0 %}
                <p>You are not assigned to any projects</p>
            {% else %}
                <table>
                    <thead>
                        <tr>
                            <th>Name</th>
                            <th>Number of Tasks</th>
                        </tr>
                    </thead>
                    <tbody>
                        {% for project in projects %}
                            <tr>
                                <td><a href="{% url 'show_project' project.id %}">{{ project.name }}</a></td>
                                <td>{{ project.tasks.all|length }}</td>
                            </tr>
                        {% endfor %}
                    </tbody>
                </table>
            {% endif %}
        </div>
    </main>
{% endblock content %}
